package com.team5.aLife.BaseStation;

public class PowerSwitchDevice extends Device {
	
	private int averageConsumption;
	private int totalConsumption;
	
	public PowerSwitchDevice()
	{
		//  Do nothing.  Needed for Json translations
	}
	
	public PowerSwitchDevice(int deviceID, int deviceType, String deviceName, String deviceAddress,
			   int zigbeeStatus, int deviceStatus, int averageConsumption, int totalConsumption)
	{
		super(deviceID, deviceType, deviceName, deviceAddress, zigbeeStatus, deviceStatus);
		
		this.averageConsumption = averageConsumption;
		this.totalConsumption = totalConsumption;
		
	}
	
	public int getAverageConsumption(){
		return averageConsumption;
	}
	
	public void setAverageConsumption(int averageConsumption){
		this.averageConsumption = averageConsumption;
	}
	
	public int getTotalConsumption(){
		return totalConsumption;
	}
	
	public void setTotalConsumption(int totalConsumption){
		this.totalConsumption = totalConsumption;
	}
	
}
